# Filter the Perl extension module
%{?perl_default_filter}

%define	upstream_name	 DBD-Firebird
%define	upstream_version 1.38

%define Werror_cflags %nil

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Firebird database driver for the DBI module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://search.cpan.org/dist=%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/DBD/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DBI) >= 1.410.0
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::Which)
BuildRequires: perl(Math::BigFloat) >= 1.550.0
BuildRequires: perl(Test::CheckDeps) >= 0.7.0
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Exception) >= 0.310.0
BuildRequires: perl(Test::More) >= 0.400.0
BuildRequires: perl(Time::HiRes)
BuildRequires: pkgconfig(icu-i18n)
BuildRequires: pkgconfig(fbclient)
BuildRequires: perl-devel
%description
DBD::Firebird is a Perl module that works with the DBI module to provide
access to Firebird databases.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
export FIREBIRD_INCLUDE=%{_includedir}
export FIREBIRD_LIB=%{_libdir} 
%__perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS -Wno-incompatible-pointer-types"
%make_build

%install
%make_install
chmod 755 %{buildroot}%{perl_vendorarch}/auto/DBD/Firebird/Firebird.so

%check
# Test for ib_set_tx_param() seems to be buggy (thus disable for now)
rm -f t/embed-62-timeout.t

# Disable thread-based test of ib_wait_event, as this test cannot be
# guaranteed to succeed with overloaded host, see:
# - https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=719582
# - https://bugzilla.redhat.com/show_bug.cgi?id=1228642
# - https://bugzilla.redhat.com/show_bug.cgi?id=1161469
export AUTOMATED_TESTING=1

# Full test coverage requires a live Firebird database (see the README file)
make test

%files
%doc Changes META.json META.yml MYMETA.yml README eg
%{perl_vendorarch}/auto/DBD
%{perl_vendorarch}/DBD
%{_mandir}/*/*


%changelog
* Fri Aug 23 2024 tv <tv> 1.380.0-2.mga10
+ Revision: 2088988
- Rebuild for perl-5.40

* Sat May 25 2024 tv <tv> 1.380.0-1.mga10
+ Revision: 2067525
- Update to 1.38
- Fix build by passing -Wno-incompatible-pointer-types

* Thu Nov 30 2023 tv <tv> 1.340.0-5.mga10
+ Revision: 2011615
- Rebuild for perl-5.38

* Wed Aug 03 2022 tv <tv> 1.340.0-4.mga9
+ Revision: 1874871
- Fix build by BRing libicu-devel

* Tue Jun 07 2022 umeabot <umeabot> 1.340.0-3.mga9
+ Revision: 1862854
- Rebuild for Perl 5.36

* Sat Apr 02 2022 umeabot <umeabot> 1.340.0-2.mga9
+ Revision: 1840778
- Mageia 9 Mass Rebuild

* Mon Dec 13 2021 tv <tv> 1.340.0-1.mga9
+ Revision: 1761829
- update to 1.34

* Thu Nov 11 2021 tv <tv> 1.330.0-1.mga9
+ Revision: 1755864
- update to 1.33

* Mon May 24 2021 umeabot <umeabot> 1.320.0-3.mga9
+ Revision: 1726543
- Rebuild for perl 5.34

* Thu Jun 18 2020 umeabot <umeabot> 1.320.0-2.mga8
+ Revision: 1595637
- Rebuild for perl 5.32

* Thu Mar 12 2020 tv <tv> 1.320.0-1.mga8
+ Revision: 1555711
- update to 1.32

* Sun Feb 16 2020 umeabot <umeabot> 1.310.0-6.mga8
+ Revision: 1529443
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 1.310.0-5.mga8
+ Revision: 1433501
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.310.0-4.mga7
+ Revision: 1292671
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 1.310.0-3.mga7
+ Revision: 1248975
- Rebuild for perl 5.28

* Thu Jul 05 2018 tv <tv> 1.310.0-2.mga7
+ Revision: 1241760
- try to make testsuite more stable on BS
- better description

* Sat Jan 13 2018 shlomif <shlomif> 1.310.0-1.mga7
+ Revision: 1192779
- New version 1.31

* Mon Oct 02 2017 tv <tv> 1.250.0-2.mga7
+ Revision: 1163891
- rebuild with fixed rpm for missing autodeps

* Mon Oct 02 2017 guillomovitch <guillomovitch> 1.250.0-1.mga7
+ Revision: 1162505
- new version 1.25

* Thu Aug 31 2017 pterjan <pterjan> 1.240.0-2.mga7
+ Revision: 1149609
- Rebuild for perl ABI changes

* Fri Aug 18 2017 sander85 <sander85> 1.240.0-1.mga7
+ Revision: 1141468
- update to 1.24

* Sat Jul 22 2017 neoclust <neoclust> 1.220.0-3.mga7
+ Revision: 1126698
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 1.220.0-2.mga6
+ Revision: 1025355
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 1.220.0-1.mga6
+ Revision: 1001754
- update to 1.22

* Tue Apr 12 2016 philippem <philippem> 1.210.0-3.mga6
+ Revision: 1000791
- rebuild for Firebird 3
+ tv <tv>
- BR pkgconfig(fbclient)

* Fri Feb 12 2016 umeabot <umeabot> 1.210.0-2.mga6
+ Revision: 957095
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 1.210.0-1.mga6
+ Revision: 884512
- update to 1.21

* Thu Jun 25 2015 sander85 <sander85> 1.200.0-1.mga6
+ Revision: 843842
- update to 1.20

* Fri Apr 03 2015 sander85 <sander85> 1.190.0-1.mga5
+ Revision: 819637
- update to 1.19 (fixes CVE-2015-2788)

* Wed Oct 15 2014 umeabot <umeabot> 1.180.0-5.mga5
+ Revision: 748953
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.180.0-4.mga5
+ Revision: 733055
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.180.0-3.mga5
+ Revision: 684083
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 1.180.0-2.mga5
+ Revision: 632201
- perl 5.20.0 rebuild

* Fri May 02 2014 sander85 <sander85> 1.180.0-1.mga5
+ Revision: 619658
- update to 1.18
+ jquelin <jquelin>
- update to 1.18

* Sat Feb 08 2014 sander85 <sander85> 1.160.0-1.mga5
+ Revision: 586344
- update to 1.16

* Sat Oct 19 2013 umeabot <umeabot> 1.150.0-2.mga4
+ Revision: 534286
- Mageia 4 Mass Rebuild

* Tue Sep 10 2013 sander85 <sander85> 1.150.0-1.mga4
+ Revision: 477092
- update to 1.15

* Mon Sep 09 2013 sander85 <sander85> 1.140.0-1.mga4
+ Revision: 476669
- update to 1.14

* Fri Aug 16 2013 sander85 <sander85> 1.120.0-1.mga4
+ Revision: 466899
- update to 1.12

* Wed May 29 2013 jquelin <jquelin> 1.110.0-3.mga4
+ Revision: 431181
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.110.0-2.mga3
+ Revision: 364996
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 26 2012 jquelin <jquelin> 1.110.0-1.mga3
+ Revision: 297967
- update to 1.11

* Tue Jun 05 2012 jquelin <jquelin> 1.0.0-1.mga3
+ Revision: 254721
- update to 1.00

* Wed May 30 2012 jquelin <jquelin> 0.910.0-2.mga3
+ Revision: 250489
- rebuild for perl 5.16

* Sat Nov 05 2011 kharec <kharec> 0.910.0-1.mga2
+ Revision: 163436
- update to 0.91
+ jquelin <jquelin>
- removing patch no longer needed

* Fri Oct 14 2011 jquelin <jquelin> 0.800.0-1.mga2
+ Revision: 155074
- update to 0.80

* Mon Jun 27 2011 jquelin <jquelin> 0.550.0-1.mga2
+ Revision: 114691
- update to 0.55

* Fri Jun 17 2011 pterjan <pterjan> 0.520.0-2.mga2
+ Revision: 108574
- Fix build with perl 5.14
+ jquelin <jquelin>
- perl 5.14 rebuild
+ sander85 <sander85>
- perl 5.14

* Tue Mar 29 2011 philippem <philippem> 0.52-1.mga1
+ Revision: 78676
- imported package perl-DBD-Firebird

